Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.muffin
Interface Muffin

All Known Implementing Classes:
  FileMuffin, WebstartMuffin

    public interface Muffin

A description of any class with the ability to store state locally

Author:
  kappaOne

Method Summary
`java.util.HashMap` | `loadFile(java.lang.String fileName)` Load a file of data from the store
`void` | `saveFile(java.util.HashMap data, java.lang.String fileName)` Save a file of data

Method Detail

### saveFile

    void saveFile(java.util.HashMap data,
                  java.lang.String fileName)
                  throws java.io.IOException

  Save a file of data

  Parameters:
    `data` - The data to store
    `fileName` - The name of the file to store it against
  Throws:
    `java.io.IOException` - Indicates a failure to save the state

### loadFile

    java.util.HashMap loadFile(java.lang.String fileName)
                               throws java.io.IOException

  Load a file of data from the store

  Parameters:
    `fileName` - The name of the file to retrieve
  Returns:
    The data retrieved
  Throws:
    `java.io.IOException` - Indicates a failure to load the state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.